XATransactionInfo (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.message.XATransactionInfo class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.message
Class XATransactionInfo

    java.lang.Object
      org.codehaus.activemq.message.AbstractPacket
          org.codehaus.activemq.message.XATransactionInfo

All Implemented Interfaces:
  Packet, TransactionType

public class XATransactionInfo
extends AbstractPacket
implements TransactionType

Provides a infomation about an XA Transaction

Version:
  $Revision: 1.4 $

Field Summary

Fields inherited from class org.codehaus.activemq.message.AbstractPacket
`bitArray, BROKERS_VISITED_INDEX, RECEIPT_REQUIRED_INDEX`

Fields inherited from interface org.codehaus.activemq.message.TransactionType
`COMMIT, COMMIT_ONE_PHASE, END, FORGET, GET_RM_ID, GET_TX_TIMEOUT, JOIN, NOT_SET, PRE_COMMIT, RECOVER, ROLLBACK, SET_TX_TIMEOUT, START, XA_RECOVER`

Fields inherited from interface org.codehaus.activemq.message.Packet
`ACTIVEMQ_BROKER_INFO, ACTIVEMQ_BYTES_MESSAGE, ACTIVEMQ_CONNECTION_INFO, ACTIVEMQ_MAP_MESSAGE, ACTIVEMQ_MESSAGE, ACTIVEMQ_MSG_ACK, ACTIVEMQ_OBJECT_MESSAGE, ACTIVEMQ_STREAM_MESSAGE, ACTIVEMQ_TEXT_MESSAGE, CAPACITY_INFO, CAPACITY_INFO_REQUEST, CONSUMER_INFO, DURABLE_UNSUBSCRIBE, INT_RESPONSE_RECEIPT_INFO, PRODUCER_INFO, RECEIPT_INFO, RESPONSE_RECEIPT_INFO, SESSION_INFO, TRANSACTION_INFO, WIRE_FORMAT_INFO, XA_TRANSACTION_INFO`

Constructor Summary
`XATransactionInfo()`

Method Summary
`boolean` | `equals(Object obj)` Test for equality
`int` | `getPacketType()` Return the type of Packet
`int` | `getTransactionTimeout()`
`int` | `getType()`
`ActiveMQXid` | `getXid()`
`int` | `hashCode()`
`void` | `setTransactionTimeout(int transactionTimeout)`
`void` | `setType(int newType)`
`void` | `setXid(ActiveMQXid xid)`

Methods inherited from class org.codehaus.activemq.message.AbstractPacket
`addBrokerVisited, decrementMemoryReferenceCount, equals, getBitArray, getBrokersVisited, getBrokersVisitedAsString, getId, getMemoryUsage, getMemoryUsageReferenceCount, getPacketTypeAsString, hasVisited, incrementMemoryReferenceCount, initializeBrokersVisited, initializeOther, isJMSMessage, isReceipt, isReceiptRequired, setBitArray, setId, setMemoryUsage, setReceiptRequired, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XATransactionInfo

    public XATransactionInfo()

Method Detail

### getPacketType

    public int getPacketType()

  Return the type of Packet

  Specified by:
    `getPacketType` in interface `Packet`
  Returns:
    integer representation of the type of Packet

### equals

    public boolean equals(Object obj)

  Test for equality

  Overrides:
    `equals` in class `AbstractPacket`
  Parameters:
    `obj` - object to test
  Returns:
    true if equivalent

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `AbstractPacket`
  Returns:
    hash code for instance

### getType

    public int getType()

  Returns:
    Returns the type of transacton command.

### setType

    public void setType(int newType)

  Parameters:
    `newType` - the type of transaction command The type to set.

### getXid

    public ActiveMQXid getXid()

### setXid

    public void setXid(ActiveMQXid xid)

### getTransactionTimeout

    public int getTransactionTimeout()

  Returns:
    Returns the transactionTimeout.

### setTransactionTimeout

    public void setTransactionTimeout(int transactionTimeout)

  Parameters:
    `transactionTimeout` - The transactionTimeout to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.